<script>
export default {
	name: 'Home',

	data: () => ({
		icons: [
			['Join our discord server', 'mdi-discord', 'https://discord.gg/Rqr9z2y', '--v-discord-base'],
			['Check out our repository', 'mdi-gitlab', 'https://gitlab.com/Deri-Miksa/eupronet', '--v-gitlab-base'],
			['How we communicate', 'mdi-github', 'https://gist.github.com/FlucTuAteDev/6129c0db4f9c06c5e1f6c0830d0ed2cc', '--v-github-base']
		],
	}),
	computed: {
		size() {
			switch (this.$vuetify.breakpoint.name) {
				case "xs":
				case "sm": return [".7em", "50px"];
				default: return [".9em", "90px"];
			}
		}
	}
}
</script>

<template>
	<v-container>
		<div class="image">
			<v-img
				src="../assets/derimiksa.png"
				contain
				max-height="200px"/>
			<h1 class="greeting">
				Welcome to EUProNet
			</h1>
			<h2 class="subtitle">
				Everyone anywhere at anytime
			</h2>
		</div>
		<div class="icons">
			<template v-for="[text, icon, href, color] of icons">
				<div class="icon" :key="text" :style="{color: `var(${color})`}">
					<a
						:key="text"
						:href="href" target="_blank" 
						class="icon-link">
						<v-icon :size="size[1]" :color="`var(${color})`">{{ icon }}</v-icon>
					</a>
					<div class="overline" :style="{fontSize: size[0] + ' !important'}">
						{{text}}
					</div>
				</div>
			</template>
		</div>
	</v-container>
</template>

<style scoped>
.subtitle {
	font-size: 1.2em;
	font-weight: 300;
	font-style: italic;

}
.greeting {
	font-size: 2.5em !important;
	font-weight: 400;
}
.image {
	width: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 20px;
	text-align: center;
}
.container {
	display: flex;
	flex-direction: column;
	justify-content: space-around;
	align-items: center;
	gap: 20px;
	height: 100%;
}
.icon {
	width: 300px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;

	transition: .5s;
}
.icon:hover {
	transform: scale(110%);
}
.icons {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-evenly;
	gap: 40px;
	padding-top: 20px;
}
.icon-link {
	text-decoration: none;
}
</style>
